@Seldaek Seldaek released this Jan 4, 2018 · 359 commits to master since this release

Assets 3
  • Improved performance of installs and updates from git clones when checking out known commits
  • Added check-platform-reqs command that checks that your PHP and extensions versions match the platform requirements of the installed packages
  • Added support for SPDX license identifiers v3.0, deprecates GPL/LGPL/AGPL identifiers, which should now have a -only or -or-later suffix added.
  • Added --with-all-dependencies to the update and require commands which updates all dependencies of the listed packages, including those that are direct root requirements
  • Added scripts-descriptions key to composer.json to customize the description and document your custom commands
  • Added support for the uppercase NO_PROXY env var
  • Added support for COMPOSER_DEFAULT_{AUTHOR,LICENSE,EMAIL,VENDOR} env vars to pre-populate init command values
  • Added support for COMPOSER_MEMORY_LIMIT env var to make Composer set the PHP memory limit explicitly
  • Added support for simple strings for the bin
  • Added support for local fossil repositories
  • Added suggestions for alternative spellings when entering packages in init and require commands and nothing can be found
  • Fixed installed.json data to be sorted alphabetically by package name
  • Fixed compatibility with Symfony 4.x components that Composer uses